Bug 1460452 - flooding module-x11-bell with bells causes pulseaudio to crash with SIGKILL
flooding module-x11-bell with bells causes pulseaudio to crash with SIGKILL
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
26
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-10 14:56 EDT by Peter Backes
Modified: 2018-05-29 07:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:20:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Backes 2017-06-10 14:56:32 EDT
Description of problem:
If I accidentally cat a binary file with many BEL characters, pulseaudio crashes with SIGKILL.

signal monitor on the pulseaudio process:

% sudo stap /usr/share/systemtap/examples/process/sigmon.stp -x 8347 SIGKILL
Missing separate debuginfos, use: debuginfo-install kernel-PAE-core-4.11.3-202.fc25.i686 
SPID     SNAME            RPID  RNAME            SIGNUM SIGNAME         
8347     alsa-sink-ALC88  8347  alsa-sink-ALC88  9      SIGKILL         

Version-Release number of selected component (if applicable):
pulseaudio-module-x11-10.0-2.fc25.i686

How reproducible:
always

Steps to Reproduce:
1. /usr/bin/pactl upload-sample /usr/share/sounds/freedesktop/stereo/bell.oga
2. /usr/bin/pactl load-module module-x11-bell "display=$DISPLAY" "sample=bell"
3. for i in `seq 1 512`; do echo -e '\a\c'; done

Actual results:
some sounds are heard, before pulseaudio crashes with SIGKILL

Expected results:
pulseaudio should work fine even if pulseaudio-module-x11 is flooded with bells.

Additional info:
When stracing the alsa-sink-ALC88 thread, the problem cannot be reproduced... heisenbug. But pulseaudio then sometimes logs lots of "[pulseaudio] sink-input.c: Failed to create sink input: too many inputs per sink."
Comment 1 Wim Taymans 2017-06-12 03:14:56 EDT
I'm pretty sure puleseaudio is killed ny RTKit because it uses too many realtime CPU cycles. Need to think about how this can be avoided..
Comment 2 Fedora End Of Life 2017-11-16 13:39:41 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Peter Backes 2017-11-16 18:04:28 EST
Still reproducible on f26
Comment 4 Fedora End Of Life 2018-05-03 04:43:36 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2018-05-29 07:20:10 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.